Package org.eclipse.e4.ui.model.application.ui.menu

## Interface MToolBar

All Superinterfaces:
  `MApplicationElement`, `MElementContainer<MToolBarElement>`, `MLocalizable`, `MTrimElement`, `MUIElement`

    public interface MToolBar
    extends MElementContainer<MToolBarElement>, MTrimElement

A representation of the model object 'Tool Bar'.

This is the concrete class representing a Toolbar in the UI Model.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MElementContainer

`getChildren, getSelectedElement, setSelectedElement`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MLocalizable

`updateLocalization`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`